Bug 1285253 - Bulk Errata management webUI bug on the Host Collections page
Bulk Errata management webUI bug on the Host Collections page
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.4
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 05:03 EST by Nagoor Shaik
Modified: 2017-05-31 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2107961 None None None 2015-12-25 05:27 EST

  None (edit)
Description Nagoor Shaik 2015-11-25 05:03:05 EST
Description of problem:
Errata management webUI bug on the Host Collections page

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a Host Collection and add content host to it
2. In host collection select bulk actions ---> errata installation --> select any single Errata
3. After selecting a single errata ---> click on the hyperlink of the Errata to view its description
4. Click "Back To Errata List" hyper link ---> At this stage the errata is still selected but the selected count still shows 0 and the Install Selected button is greyed out.  >>> Issue 1

5. Uncheck the selected errata ----> now the Installed Selected button is visible without any errata selected >> Issue 2

6. When the you hit on Install selected errata button the confirmation message says "Are you sure you want to apply the -1 selected errata to the content hosts chosen?" >>> Issue 3

Actual results:

Incorrect information for bulk errata management for host collections

Expected results:
Should work as expected

Additional info:
Comment 6 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2016-07-26 11:38:17 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 9 hprakash 2017-05-31 00:46:12 EDT
Issue still exist in Satellite 6.2.9

Note You need to log in before you can comment on or make changes to this bug.